SELECT 'shell' AS component
, 'dark' AS theme
, :title AS title
, :link AS link
, :image AS image
, :favicon AS favicon
, :manifest AS manifest
, 'https://cdn.jsdelivr.net/npm/purecss@2.1.0/build/pure-min.css' AS css
, 'https://shandan.one/css/'||:tool||'.css' AS css
, json('{
    "title": "Home", "link": "/", "icon": "home"
  }') AS menu_item
, json(CASE :tool
  WHEN 'clip' THEN NULL
  ELSE '{
            "link": "/clip",
            "title": "Clip and Paste",
            "icon": "clipboard"
        }'
  END) AS menu_item
, json(CASE :tool
  WHEN 'goto' THEN NULL
  ELSE '{
            "link": "/goto",
            "title": "GotTo Tiny URL",
            "icon": "link"
        }'
  END) AS menu_item
, json(CASE :tool
  WHEN 'upload' THEN NULL
  ELSE '{
            "link": "/upload",
            "title": "Share File",
            "icon": "cloud-share"
        }'
  END) AS menu_item
, json(CASE :tool
  WHEN 'code' THEN NULL
  ELSE '{
            "link": "/code",
            "title": "Vouchers",
            "icon": "barcode"
        }'
  END) AS menu_item
;
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/Style.sql') AS properties;
